Subject: Re: [PATCH RFC 2/2] net: dsa: bcm_sf2: implement HW bridging operations

From: Andrew Lunn <[email-masked]>
Date: Fri, 20 Feb 2015 03:18:43 +0100

> >Remember that we are dealing with hardware switch chips. Those chips
> >won't time out fdb entries just because the kernel's bridge driver
> >thinks that it should.

> Oh, they dont..?

To some extent, it is better to think of these as two switches
connected to each other, not one switch. The HW switch needs help with
STP, but otherwise it is a fully functional and autonomous switch.

This is going to make displaying the forwarding database interesting,
because the SW bridge fdb and the HW bridge fdb are each subsets of
the big picture and possible even contradictory since they are not
updated atomically.

	Andrew